/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from NSPluginCallbackIface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __NSPLUGINCALLBACKIFACE_STUB__
#define __NSPLUGINCALLBACKIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>
#include <tqcstring.h>


class NSPluginCallbackIface_stub : virtual public DCOPStub
{
public:
    NSPluginCallbackIface_stub( const TQCString& app, const TQCString& id );
    NSPluginCallbackIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit NSPluginCallbackIface_stub( const DCOPRef& ref );
    virtual ASYNC requestURL( TQString url, TQString target );
    virtual ASYNC postURL( TQString url, TQString target, TQByteArray data, TQString mime );
    virtual ASYNC statusMessage( TQString msg );
    virtual ASYNC evalJavaScript( TQ_INT32 id, TQString script );
protected:
    NSPluginCallbackIface_stub() : DCOPStub( never_use ) {}
};


#endif
